
@import url('https://fonts.googleapis.com/css2?family=Audiowide&display=swap');

:root {
    --background-color: #d3d3d3;
    --text-color: #000000;
    --header-text-color: #444444;
    --primary-color: #c28459;
    --secondary-color: #2e2c2a;

    /* Font Variables */
    --font-default: Helvetica, Arial, sans-serif;
    --font-header: Audiowide, Garamond, Georgia, 'Times New Roman', serif;

    --gap: 1rem;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%;
    width: 100%;
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background-color: #f8f0d7;
}

html {
    font-family: var(--font-default);
    color:var(--text-color);
    scroll-behavior:smooth;
}

header {
    border-top: 5px solid #291804;
    background-color: #413120d8;
}

footer {
    background-color: var(--secondary-color);
    color: #fff;
    text-align: center;
    padding: 0.5rem;
}

h1, h2, h3, h4, h5, h6 {
    font-family: var(--font-header);
    color: var(--header-text-color);
    margin-bottom: 0.5em;
}

h1 {
    border-bottom: 2px solid var(--primary-color);
    padding-bottom: 0.25rem;
}

hr {
    border: none;
    border-top: 2px solid var(--primary-color);
    margin: 1rem 0;
}

main {
    padding: 1rem;
    flex-grow: 1;
}

nav {
    font-family: var(--font-header);

    ul {
        list-style: none;
        margin: 0;
        padding: 0;
    }

    li {
        margin: 0;
        padding: 0;
    }

    a {
        text-decoration: none;
        display: block;
        /* color: #fff; */
    }
}

p {
    margin-block: 1rem;
}

img {
    max-width: 100%;
    height: auto;
}

.background_02 {
    background-color: #ebe2c9;
    padding-block: 2rem;
}

.container {
    max-width: 90vw;
    margin: 0 auto;
}

.site-title {
    font-family: var(--font-header);
    color: #fff;
    font-size: clamp(1.5rem, 3vw, 3rem);
    margin: 0;
    padding-block: 0.5rem;
}

.nav-primary {
    padding-block: 0.5rem;

    a {
        border-radius: 5px;
        transition: all 0.2s ease-in-out;
        padding: 0.5rem 1rem;
        color: #fff;
    }

    a:hover {
        background-color: #c28459;
        scale: 1.02;
    }

    a.active {
        background-color: #c2855970;
    }
}

.nav-secondary {

    margin-bottom: 1rem;

    li{
        margin-block: 0.2rem;
    }

    a {
        color: #160e86;
    }

    a:hover {
        text-decoration: underline;
    }
}

.d-flex {
    gap: var(--gap);
}

.flex-reverse{
    flex-direction: row-reverse;
}

@media (width > 400px) {
    .nav-primary ul {
        display: flex;
        gap: 0.4rem;
        justify-content: space-around;
        flex-flow: row wrap;
    }
}

@media (width > 1000px) {
    .d-flex {
        display: flex;
        align-items: center;
        &:has(img) {
            img {
                max-width: 600px;
            }
        }
    }

    header .container{
        display: flex;
        justify-content: space-between;
        padding-block: 1rem;
        align-items: center;
    }
}

@media (width > 1400px){
    .container {
        max-width: 1200px;
    }
}
